### Method

# Gtk IconThemeset_resource_path

#### Declaration [src]

    void
    gtk_icon_theme_set_resource_path (
      GtkIconTheme* self,
      const char* const* path
    )

#### Description [src]

Sets the resource paths that will be looked at when looking for icons, similar to search paths.

The resources are considered as part of the hicolor icon theme and must be located in subdirectories that are defined in the hicolor icon theme, such as `path`/16x16/actions/run.png` or`path`/scalable/actions/run.svg`.

Icons that are directly placed in the resource path instead of a subdirectory are also considered as ultimate fallback, but they are treated like unthemed icons.

Sets property | `Gtk.IconTheme:resource-path`

#### Parameters

`path`

  Type: An array of `utf8`

  NULL-terminated array of resource paths that are searched for icons.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.